%Funcion ObtenerMatriz1x2DeVectorCol.m

function matrizNxdim = ObtenerMatrizNxdimDeVectorCol(VectorCol, dim)
%--------------------------------------------------------------------------
%Se crea una matriz N X dim a partir de un vector columna.
%--------------------------------------------------------------------------

filasMatriz=size(VectorCol,1)/dim;

matrizNxdim = zeros(filasMatriz, dim);
for i=1:filasMatriz
     indice = dim*(i-1);
     for j=1:dim
        matrizNxdim(i,:) = VectorCol(indice+1:indice+dim,1)';
     end
end