dim = 2;

opciones_fmincon=optimset('Algorithm','active-set','Display','off');

frec_aumento_matrices_resultados = 1000;
aumento_matrices_resultados = 1000;


%Gestion del diario.
if crear_diario
    feval('diary', strcat(ruta_salidas,nombre_diario));
end


%Creacion de un fichero para salidas abruptas.
fid_TerminacionesAbruptas_txt=...
             fopen(strcat(ruta_salidas,'TerminacionesAbruptas','.txt'),...
                   'wt');

num_experimento=1;
Total_experimentos=1;



%Deduccion del numero de partes discretas de la manguera.
Discret = L/DeltaU;

%Flags para la simulacion.
%*************************
Terminacion_experimento=0;

%Simulacion como tal.
%********************
SimJM;

cadena=['Finalizado exp: ', num2str(num_experimento) ,...
        ' de ', num2str(Total_experimentos), ' en h=', num2str(h)];
disp(cadena);

%Composicion del nombre del experimento:
%***************************************
nombre_experimento=strcat(Nombre_situacion_inicial,'_',...
                          Nombre_manguera, '_',...
                          num2str(num_nombre_experimento));
disp(['Nombre experimento: ',nombre_experimento]);


%Gestion de la terminacion del experimento:
%*********************************************
if Terminacion_experimento~=0
    switch Terminacion_experimento
    case 1
        disp(Cadena_Terminacion_experimento);

        fprintf(fid_TerminacionesAbruptas_txt,...
               'nombre_experimento -> %s -> h=%d -> %s \n', ...
                nombre_experimento, h, ...
                Cadena_Terminacion_experimento);
    %otherwise             
    end            
end

%Guardar el worksape del experimento:
%************************************
if salvar_workspace
    feval('save', strcat(ruta_salidas,nombre_experimento));
end

%Generacion del video:
%*********************
if generar_video
    figure
    nombreVideo=strcat(ruta_salidas,nombre_experimento);
    CrearVideo2(nombreVideo,dim,Posiciones, n_NumPtosControl, DeltaT, DeltaU, L, Niu, [], Posiciones_robots, Velocidades_robots, Orientaciones)
end



%Gestion del diario.
if crear_diario
    diary off;
end

%Cierre del fichero para salidas abruptas.
fclose('all');
