function valor = ObtenerN(i, p, u, nudos)
if p == 0,
   if (nudos (i) <= u) && (u < nudos (i+1)),
      valor = 1;
   else
      valor = 0;
   end
else
   d1 = nudos(i+p)-nudos(i);
   if d1 < 1.0e-6,
      aux1 = 0.0;
   else
      coef1 = (u-nudos(i))/d1;
      if coef1 < 1.0e-6,
         aux1 = 0.0;
      else
         aux1 = coef1*ObtenerN(i, p-1, u, nudos);
      end
   end
   d2 = nudos(i+p+1)-nudos(i+1);
   if d2 < 1.0e-6,
      aux2 = 0.0;
   else
      coef2 = (nudos(i+p+1)-u)/d2;
      if coef2 < 1.0e-6,
         aux2 = 0.0;
      else
         aux2 = coef2*ObtenerN(i+1, p-1, u, nudos);
      end
   end
   valor = aux1 + aux2;
end