function [lambda, delta] = forward (a, b, c, d, n)
lambda (1) = c(1)/b(1);
delta (1, :) = d(1, :)/b(1);
for i=2:n,
   lambda (i) = c(i) / (b(i)-a(i)*lambda(i-1));
   delta(i, :) = (d(i,:)-a(i)*delta(i-1,:)) / (b(i)-a(i)*lambda(i-1));
end
delta (n, :) = d(n, :);